/*
 * eth_tx_iface.hpp
 *
 *  Created on: 13 . 2023 .
 *      Author: sychev
 */

#ifndef FREE_RTOS_ETHERNET_ETH_TX_FLOW_IFACE_HPP_
#define FREE_RTOS_ETHERNET_ETH_TX_FLOW_IFACE_HPP_

#include <cstdint>
#include "ethernet/eth_types.h"

class EthTxFlowIface {
public:
    virtual bool send(TEthMacPorts port_id, uint8_t * p_data, uint32_t len) = 0;
    virtual ~EthTxFlowIface(){}
};



#endif /* FREE_RTOS_ETHERNET_ETH_TX_FLOW_IFACE_HPP_ */
