/*
 * handler_store.hpp
 *
 *  Created on: 6 . 2023 .
 *      Author: sychev
 */

#ifndef FREE_RTOS_HANDLER_STORE_HANDLER_STORE_HPP_
#define FREE_RTOS_HANDLER_STORE_HANDLER_STORE_HPP_


#include <map>
#include <cstdint>

#include "handler_store/handler.hpp"

class HandlerStore {
public:
    /***
     *  
     */
    bool Register(uint32_t prot_id, Handler * p_handler);
    /***
     *   
     */
    int32_t Process(uint32_t prot_id, uint8_t * p_data, uint32_t len);
private:
    std::map<uint32_t, Handler *> handlers_; ///   Ethernet
};


#endif /* FREE_RTOS_HANDLER_STORE_HANDLER_STORE_HPP_ */
